package catenaNegozi;

import java.sql.*;
import java.util.*;

public class Articolo extends Tabella {

	String getNomeTabella(){
		return "articoli" ;
	};
	String getStringaCercaPerChiave(){
		return " matricola = " + getMatricola() ;
	};
	String getStringaInserimento(){
		return this.matricola + " ,'"
            	+ this.descrizione +"', " + this.prezzo + ","+ this.produttore ;
	};
	String getStringaModifica(){
		return " matricola = " + this.matricola + " , descrizione = '"
            	+ this.descrizione +"', prezzo = " + this.prezzo + ", produttore = "+ this.produttore ;
	};



    private int matricola;
    private String descrizione;
    private int produttore;
    private int prezzo;

    public void setMatricola(int matricola){
        this.matricola = matricola;
    }

    public int getMatricola(){
        return this.matricola;
    }

    public void setDescrizione(String descrizione){
        this.descrizione = descrizione;
    }

    public String getDescrizione(){
        return this.descrizione;
    }

    public void setProduttore(int produttore){
        this.produttore = produttore;
    }

    public int getProduttore(){
        return this.produttore;
    }

    public void setPrezzo(int prezzo){
        this.prezzo = prezzo;
    }

    public int getPrezzo(){
        return this.prezzo;
    }

	public static Articolo ricercaArticolo(int matricola)
			throws PersistenceException{
		Articolo articolo = null ;                                                		        		Connection connection = null;
		Statement statement = null;
		ResultSet resultSet = null;
		String query = "select * from articoli where matricola = " + matricola ;
		try{
			connection = DataSource.getConnection();
			statement = connection.createStatement();
			resultSet = statement.executeQuery(query);
			if (resultSet.next()){
				articolo = new Articolo();
				articolo.setMatricola(matricola);
				articolo.setDescrizione(resultSet.getString("Descrizione"));
				articolo.setProduttore(resultSet.getInt("Produttore"));				articolo.setPrezzo(resultSet.getInt("Prezzo"));
			}
		} catch (SQLException sqle) {
			throw new PersistenceException(sqle);
		} finally {
			DataSource.close(resultSet);
			DataSource.close(statement);
			DataSource.close(connection);
		}
		return articolo;
	}

    public String toString(){
		return 	  "Matricola:  " + getMatricola() +
			 	"\nDescrizione:" + getDescrizione() +
			 	"\nProduttore: " + getProduttore() +
			 	"\nPrezzo:     " + getPrezzo() ;
	}


}



