package catenaNegozi;

import java.io.*;

class Console {

    public static BufferedReader stdin;
    static {
        stdin = new BufferedReader (new InputStreamReader (System.in));
    }

    public static String leggiStringa() {
        try {
            return stdin.readLine();
        } catch (IOException e) {System.out.println(e); return "";}
    }

    public static int leggiIntero() {
        try {
            return Integer.parseInt(stdin.readLine());
        } catch (IOException e) {System.out.println(e); return -1;}
          catch (NumberFormatException nfe)
            {System.out.println("Errore: non si tratta di un numero. "); return -99999;}
    }

    public static float leggiFloat() {
        try {
            return Float.parseFloat(stdin.readLine());
        } catch (IOException e) {System.out.println(e); return -1;}
          catch (NumberFormatException nfe)
            {System.out.println("Errore: non si tratta di un numero. "); return -99999;}
    }

    public static void main(String[] args) {
        String s;
        int i;
        float f;
        System.out.print("Immetti una stringa :");
        s=leggiStringa();
        System.out.println("Hai immesso la stringa: "+s);
        System.out.print("Immetti una numero intero :");
        i=leggiIntero();
        System.out.println("Hai immesso il numero: "+i);
        System.out.print("Immetti un numero :");
        f=leggiFloat();
        System.out.println("Hai immesso il numero: "+f);
    }
}



