package catenaNegozi;

import java.sql.*;
import java.io.*;
import java.util.*;

class GestorePrincipale{

    private static void schermoIniziale() {
		GestoreArticolo gestoreArticolo = new GestoreArticolo() ;
		GestoreProduttore gestoreProduttore = new GestoreProduttore() ;
		boolean esci = false ;
		while (!esci){
			System.out.println();
			System.out.println("-----------Menu principale-----");
			System.out.println();
			System.out.println("1.Stampa i dati correnti");
			System.out.println("2.Gestione articoli");
			System.out.println("3.Gestione produttori");
			System.out.println("0.Esci");
			System.out.print("\n  Scegli --> ");
			int scelta = Console.leggiIntero();
			while (scelta < 0 || scelta > 3){
				System.out.print("  Scelta scorretta. Ripeti --> ");
				scelta = Console.leggiIntero();
			}
			if (scelta == 0){
					schermoFinale();
					esci = true ;
				}
			else if (scelta == 1)
	           Report.stampa();
			else if (scelta == 2)
	           gestoreArticolo.schermoIniziale();
			else if (scelta == 3)
	           gestoreProduttore.schermoIniziale();
		}
    }

    private static void schermoFinale() {
        System.out.println("\n---------- Arrivederci -----------");
    }

    public static void main(String[] args){
			schermoIniziale();
   }

}